// cc-by 3.0 Austria, (c) 2010 Markus Loeberbauer
// http://ssw.jku.at/Teaching/Lectures/SpezialLVA/JavaFX/
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.scene.control.Button;
import javafx.geometry.HPos;
import javafx.geometry.VPos;

var stage: Stage;
var scene: Scene;

stage = Stage {
            title: "Full Screen"
            width: 250
            height: 120
            scene: scene = Scene {
                        content: VBox {
                            width: bind scene.width,
                            height: bind scene.height,
                            spacing: 4,
                            hpos: HPos.CENTER,
                            vpos: VPos.CENTER,
                            content: [
                                Button {
                                    text: "Goto Fullscreen",
                                    action: function() {
                                        stage.fullScreen = true;
                                    }
                                },
                                Button {
                                    text: "Goto Window",
                                    action: function() {
                                        stage.fullScreen = false;
                                    }
                                }
                            ]
                        }
                    }
        }
